/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.binding.soap.listener;

import org.objectweb.petals.component.common.ExtensionsConstants;

/**
 * @author chamerling - eBM Websourcing
 *
 */
public class SUProperties extends ExtensionsConstants {

    public static final String ROOT_ELEMENT = "root-element";

    public static final String SOAP_ACTION = "soap-action";

    public static final String SOAP_VERSION = "soap-version";

    public static final String PROXY_HOST = "proxy-host";

    public static final String PROXY_PORT = "proxy-port";

    public static final String PROXY_USER = "proxy-user";

    public static final String PROXY_PASSWORD = "proxy-password";

    public static final String PROXY_DOMAIN = "proxy-domain";

    public static final String ADD_ROOT = "add-root";

    public static final String REMOVE_ROOT = "remove-root";

    protected SUProperties() {
        super();
    }
}
